I was thinking about actually using my VPS for something VPSish. Has anybody had any troubles hosting a Ventrilo server on the VPS systems? It should be pretty straightforward, but I figured I'd see if there's any weirdness out there about it.
This is a discussion on Ventrilo Server in the VPS & Dedicated forum
I was thinking about actually using my VPS for something VPSish. Has anybody had any troubles hosting a Ventrilo server on the VPS systems? It ...
I was thinking about actually using my VPS for something VPSish. Has anybody had any troubles hosting a Ventrilo server on the VPS systems? It should be pretty straightforward, but I figured I'd see if there's any weirdness out there about it.
This guy seems to have sailed through ok: Program/command start on bootup.
Regards,
Wim Heemskerk
---
Visit MeCCG.net - Cardgaming in J.R.R. Tolkien's Middle-earth
And Gwaihir.net - The Middle-earth CCG store
I saw that, but they never came back and mentioned if it wound up working or anything :-/
[update]
I went ahead and set it up. It was almost disturbingly easy how smoothly it went. It seems to be working great!
[/update]
Last edited by mattsiegman; 11-11-2008 at 07:16 PM. Reason: update
Update:
I've been having some weird connectivity problems. I can connect fine, but some of my friends can't. I don't think it's a firewall problem, so maybe it's a config issue on my end.
As mentioned in the other thread, I've created a service script to make running the server nice & easy. I found most of it on some random form, and it's probably a bit overkill, but oh well
Anyway, here's the (sorta) step-by-step guide.
----------------------------
I created a ventrilo user, and unzipped the files into /home/ventrilo and made the ventrilo user the owner of them. I also customized some things in /home/ventrilo/ventrilo_srv.ini
I then created /etc/init.d/ventrilo and put this code in it:
I then linked it into rc2.d with:Code:#!/bin/bash # # vent This shell script takes care of starting and stopping # the Ventrilo subsystem (vent). # # chkconfig: - 64 36 # description: Ventrilo Chat Interface. # processname: ventd # Source function library. . /etc/rc.d/init.d/functions # CONFIG prog="Ventrilo 3.0.2" vent_path=/home/ventrilo vent_user=ventrilo vent_server=ventrilo_srv vent_status=ventrilo_status vent_log=$vent_path/ventrilo_srv.log vent_pid=$vent_path/ventrilo_srv.pid # Startup ventrilo servers. start(){ chmod 0775 $vent_path chmod 0775 $vent_log su $vent_user -c "$vent_path/$vent_server -f$vent_path/$vent_server -d" ret=0 if [ $ret -eq 0 ]; then STARTTIMEOUT=30 while [ $STARTTIMEOUT -gt 0 ]; do RESPONSE=`ls -al ventrilo_srv.pid 2>&1` && break echo "$RESPONSE" | grep -q "root" && break break sleep 1 let STARTTIMEOUT=${STARTTIMEOUT}-1 done if [ $STARTTIMEOUT -eq 0 ]; then echo "Timeout error occurred trying to start $prog Daemon." action $"Starting $prog: " /bin/false else action $"Starting $prog: " /bin/true fi else action $"Starting $prog: " /bin/false fi return $ret } stop(){ VENTPID=`cat "$vent_pid" 2>/dev/null ` if [ -n "$VENTPID" ]; then /bin/kill "$VENTPID" >/dev/null 2>&1 ret=$? if [ $ret -eq 0 ]; then STOPTIMEOUT=60 while [ $STOPTIMEOUT -gt 0 ]; do /bin/kill -0 "$VENTPID" >/dev/null 2>&1 || break sleep 1 let STOPTIMEOUT=${STOPTIMEOUT}-1 done if [ $STOPTIMEOUT -eq 0 ]; then echo "Timeout error occurred trying to stop $prog Daemon." ret=1 action $"Stopping $prog: " /bin/false else action $"Stopping $prog: " /bin/true fi else action $"Stopping $prog: " /bin/false fi else ret=1 action $"Stopping $prog: " /bin/false fi return $ret } restart(){ stop start } status(){ $vent_path/$vent_status -c2 -t127.0.0.1 } # See how we were called. case "$1" in start) start ;; stop) stop ;; status) status vent ;; restart) restart ;; *) echo $"Usage: $0 {start|stop|status|restart}" exit 1 esac exit $?
Then you can run the following commands:Code:ln -s /etc/init.d/ventrilo /etc/rc2.d/S95vent
Finally, I made rules in the VPS's firewall to allow incoming traffic on 3784/tcp 3784/udp 6001/udpCode:service ventrilo start service ventrilo stop service ventrilo restart service ventrilo status
----------------------------
That may or may not work for others, but it's most of the hard stuff, and I *think* mine is working ok.
Copyright © 2011 JaguarPC.com
Bookmarks